Upstream information

CVE-2008-1186 at MITRE

Description

Unspecified vulnerability in the Virtual Machine for Sun Java Runtime Environment (JRE) and JDK 5.0 Update 13 and earlier, and SDK/JRE 1.4.2_16 and earlier, allows remote attackers to gain privileges via an untrusted application or applet, a different issue than CVE-2008-1185, aka "the second issue."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 368134 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • java2 >= 1.4.2-129.40
  • java2-jre >= 1.4.2-129.40
sles9-oes.x86
YOU Patch Nr: 12126
SUSE LINUX 10.1
  • java-1_4_2-sun >= 1.4.2.17-0.2
  • java-1_4_2-sun-alsa >= 1.4.2.17-0.2
  • java-1_4_2-sun-demo >= 1.4.2.17-0.2
  • java-1_4_2-sun-devel >= 1.4.2.17-0.2
  • java-1_4_2-sun-jdbc >= 1.4.2.17-0.2
  • java-1_4_2-sun-plugin >= 1.4.2.17-0.2
  • java-1_4_2-sun-src >= 1.4.2.17-0.2
SUSE LINUX 10.1
  • java-1_5_0-sun >= 1.5.0_15-0.1
  • java-1_5_0-sun-alsa >= 1.5.0_15-0.1
  • java-1_5_0-sun-demo >= 1.5.0_15-0.1
  • java-1_5_0-sun-devel >= 1.5.0_15-0.1
  • java-1_5_0-sun-jdbc >= 1.5.0_15-0.1
  • java-1_5_0-sun-plugin >= 1.5.0_15-0.1
  • java-1_5_0-sun-src >= 1.5.0_15-0.1